Bug 102963 - Missing dependencies for devel package
Missing dependencies for devel package
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: curl (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
:
Depends On:
Blocks: CambridgeTarget
  Show dependency treegraph
 
Reported: 2003-08-23 10:52 EDT by Dams
Modified: 2007-04-18 12:57 EDT (History)
1 user (show)

See Also:
Fixed In Version: 7.10.6-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-25 12:53:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dams 2003-08-23 10:52:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
[anvil@gruyere ~]# rpm -q curl-devel curl
curl-devel(0:7.10.6-1).athlon
curl(0:7.10.6-1).athlon
[anvil@gruyere ~]# curl-config --libs
-lcurl -L/usr/kerberos/lib -lssl -lcrypto -lresolv -lgssapi_krb5 -lkrb5
-lk5crypto -lcom_err -ldl -lz -L/usr/kerberos/lib -lz -lssl -lcrypto -lssl
-lcrypto -lresolv -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err -ldl -lz -lz
[anvil@gruyere ~]# rpm -qR curl-devel
/bin/sh
curl = 7.10.6-1
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1

krb5 libs and zlib are required by openssl. but curl-devel doesnt requires
openssl-devel. This is just bad =]
Please explicit 'Requires:openssl-devel' for curl-devel package in spec file.

Version-Release number of selected component (if applicable):
curl-7.10.6-1

How reproducible:
Always

Steps to Reproduce:
1. none

Additional info:
Comment 1 Eido Inoue 2003-08-25 12:53:54 EDT
fixed in release 2 in rawhide

Note You need to log in before you can comment on or make changes to this bug.